Subject: Re: [PATCH] autoconf: Add tests for memmem, strtoumax and mkdtemp functions

From: Jakub Narebski <[email-masked]>
Date: Wed, 21 Nov 2007 19:47:50 +0100

Shawn O. Pearce wrote:
> Jakub Narebski <[email-masked]> wrote:
>> By the way, do you have idea how to test for the following
>> in configure.ac:
>> 
>> * Define NO_PREAD if you have a problem with pread() system call (e.g.
>>   cygwin.dll before v1.5.22).
>> 
>>   - what is the problem? how to detect it?
> 
> This also appears to be broken on HP-UX (e.g. we need to set
> NO_PREAD there).  Thiago on IRC talked about this the other day
> when he was trying to build git on a bunch of different systems.
> 
> Unfortunately this may just need to be an OS based test.  The code
> compiles just fine but when index-pack tries to use pread to walk
> back through the deltas and generate their SHA-1s it barfs without
> an error code.  I suspect the failure is pread claiming it put the
> data into the user buffer but not actually doing so, which causes
> zlib's inflate() to then see data corruption.

Can you write a short program which demonstrates this error (either
fails with some error code, or produces wrong output)? That would be
enough for configure.ac (see for example NO_C99_FORMAT in configure.ac)

Unless this is Schroedinger bug...

-- 
Jakub Narebski
Poland